# Bridge

#### **`deriveConnectorAddress`**

Derive connector address by it's id.

```
function deriveConnectorAddress(
        uint64 id
    ) override external returns(address connector)
```

**Parameters:**

| Name | Type    | Description  |
| ---- | ------- | ------------ |
| id   | uint 64 | Connector id |

**Return values:**

| Name      | Type    | Description                  |
| --------- | ------- | ---------------------------- |
| connector | address | The address of the connector |

#### **`_deriveConnectorAddress`**

Initializes state by setting contract, id, bridge address and connector code and returns connector address based on the state initialized

```
function _deriveConnectorAddress(
        uint64 id
    ) internal view returns (address)
```

**Parameters:**

| Name | Type   | Description  |
| ---- | ------ | ------------ |
| id   | uint64 | Connector id |

**Return values:**

| Type    | Description                  |
| ------- | ---------------------------- |
| address | The address of the connector |

#### **`deployConnector`**

Deploy new connector.

```
function deployConnector(
        address _eventConfiguration
    ) override public reserveMinBalance(MIN_CONTRACT_BALANCE)
```

**Parameters:**

| Name                 | Type    | Description                            |
| -------------------- | ------- | -------------------------------------- |
| \_eventConfiguration | address | Event configuration address to connect |

**Events emitted:**

* ConnectorDeployed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.octusbridge.io/integrate/octus-bridge-contracts/everscale/bridge-section/bridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
